public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ben Kohler" <bkohler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/fotoxx/
Date: Mon,  2 Aug 2021 13:30:49 +0000 (UTC)	[thread overview]
Message-ID: <1627911037.fa93021ec2382ee16e5bf77ec6b38554343b68d1.bkohler@gentoo> (raw)

commit:     fa93021ec2382ee16e5bf77ec6b38554343b68d1
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  2 11:57:48 2021 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Aug  2 13:30:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa93021e

media-gfx/fotoxx: bump to 21.50

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 media-gfx/fotoxx/Manifest            |  1 +
 media-gfx/fotoxx/fotoxx-21.50.ebuild | 81 ++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/media-gfx/fotoxx/Manifest b/media-gfx/fotoxx/Manifest
index 5eef6c96ab9..61b0979023f 100644
--- a/media-gfx/fotoxx/Manifest
+++ b/media-gfx/fotoxx/Manifest
@@ -1,2 +1,3 @@
 DIST fotoxx-21.41.tar.gz 8619224 BLAKE2B 28ec5fef8780001a023527c0859b58e1b3347b91b607269add3e0152fa6dff1347caf12f8e36a528100d5c6f538dce388bb4cbd22d03e2d15ff6904d5fdff626 SHA512 df7b3f424c9a1e2773171f9c036b30c34bd902dad41d3ce51eee5a20e86ce6afe5bcae4147baf40ea35bb9755900d9efcca20e026e12a1f540884b113011bce8
 DIST fotoxx-21.44.tar.gz 8670703 BLAKE2B e3c1a0d68ab530345048833c5c33ababa1f3ef27e99379888c748297a2d69a248eb64b6881b53bcdde759f53aea75292d3c205ca11d9ed291465514bf294d323 SHA512 06446fbd0c44a632d5525acec155f8d51ee9ffd66dc9ba97a01bb30f4a8e4b9355650ea50967a537cbf077062898def227c46b07dd7d6d2c6ab8af3f4654c490
+DIST fotoxx-21.50.tar.gz 8693590 BLAKE2B d3bed82c3e856d6ce2433e0357955f32d462d0dfcf8de673a7c0fbe8aeeea766711c2617730c6a83501b07bd5f5ab60c9d56caeacd6ea938428758a39b5a75b3 SHA512 018735ff4b1fc99a64eccb05af05e9858f9dfce3c6925704f1739c22a49d3209f66d668b21cb6030d971bbe116c978c5d491aaba033683d5ed5268ee0e46ff9e

diff --git a/media-gfx/fotoxx/fotoxx-21.50.ebuild b/media-gfx/fotoxx/fotoxx-21.50.ebuild
new file mode 100644
index 00000000000..12a78336fe7
--- /dev/null
+++ b/media-gfx/fotoxx/fotoxx-21.50.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit optfeature xdg-utils
+
+DESCRIPTION="Program for improving image files made with a digital camera"
+HOMEPAGE="https://kornelix.net/fotoxx/fotoxx.html"
+SRC_URI="https://kornelix.net/downloads/downloads/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+# For required dependencies read doc/README, for required tools read
+# data/userguide [INSTALLATION]. xdg-open (x11-misc/xdg-utils) is an
+# alternative to firefox and chromium-browser. `grep '"which ' * -R`
+# is helpful to report some required tools run via the shell.
+
+DEPEND="
+	media-libs/clutter
+	media-libs/clutter-gtk
+	media-libs/lcms:2
+	media-libs/libpng:0
+	media-libs/tiff:0
+	media-libs/libchamplain[gtk]
+	virtual/jpeg
+	x11-libs/gtk+:3"
+RDEPEND="
+	${DEPEND}
+	media-gfx/dcraw
+	media-libs/exiftool
+	x11-misc/xdg-utils
+"
+
+S="${WORKDIR}/${PN}"
+
+PATCHES=( "${FILESDIR}/${PN}-21.40-documentation.patch" )
+
+DOCS=()
+HTML_DOCS=()
+
+src_prepare() {
+	sed -i -e "/^DOCDIR/ s/${PN}$/${PF}/" Makefile || die
+	default
+}
+
+src_install() {
+	# For the Help menu items to work, *.html must be in /usr/share/doc/${PF},
+	# and README, changelog, copyright, license, etc. must not be compressed.
+	emake DESTDIR="${D}" install
+	rm -f "${D}"/usr/share/doc/${PF}/*.man || die
+	docompress -x /usr/share/doc
+}
+
+pkg_postinst() {
+	optfeature "HEIC file support" media-libs/libheif
+	optfeature "additional RAW file support" media-gfx/rawtherapee
+	optfeature "additional RAW file support" media-gfx/darktable
+	optfeature "video thumbnails & playback" media-video/ffmpeg
+	optfeature "copying images to optical media" app-cdr/dvd+rw-tools
+	optfeature "additional panorama support" media-gfx/hugin
+	optfeature "WEBP file support" media-libs/libwebp
+
+	elog
+	elog "Please read the Help > User Guide for details. The source location is"
+	elog "/usr/share/fotoxx/data/userguide and after running fotoxx a copy will"
+	elog "be placed at /home/<user>/.fotoxx/userguide."
+	elog
+	elog "To play videos, in Tools > Preferences set 'Video File Play Command'."
+	elog
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}


             reply	other threads:[~2021-08-02 13:30 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-02 13:30 Ben Kohler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-12 13:52 [gentoo-commits] repo/gentoo:master commit in: media-gfx/fotoxx/ Ben Kohler
2023-12-12 17:52 Ben Kohler
2023-12-04 21:03 Ben Kohler
2023-11-02 12:47 Ben Kohler
2023-11-01 16:24 Ben Kohler
2023-11-01 16:24 Ben Kohler
2023-10-27 18:00 Ben Kohler
2023-10-04 16:29 Ben Kohler
2023-08-08 19:01 Ben Kohler
2023-05-16 15:38 Ben Kohler
2023-04-05 18:24 Ben Kohler
2023-04-05 13:03 Ben Kohler
2023-04-05 13:03 Ben Kohler
2023-04-02 15:43 Ben Kohler
2023-03-01 20:46 Ben Kohler
2023-03-01 20:46 Ben Kohler
2023-02-06 15:42 Ben Kohler
2023-02-01 14:42 Ben Kohler
2023-01-10 18:20 Ben Kohler
2023-01-05 16:35 Ben Kohler
2022-12-18  8:32 Sam James
2022-11-18  7:42 Jakov Smolić
2022-11-18  7:04 Jakov Smolić
2022-11-02 13:22 Ben Kohler
2022-10-10 16:16 Ben Kohler
2022-09-02 12:54 Ben Kohler
2022-09-02 12:54 Ben Kohler
2022-08-04  0:13 Sam James
2022-08-04  0:13 Sam James
2022-08-03 14:29 Ben Kohler
2022-07-01 15:36 Ben Kohler
2022-06-08 11:57 Ben Kohler
2022-06-07 21:16 Sam James
2022-06-07 21:16 Sam James
2022-05-03 11:48 Ben Kohler
2022-05-03 11:48 Ben Kohler
2022-05-02 12:45 Ben Kohler
2022-04-04 15:11 Ben Kohler
2022-03-08 18:05 Ben Kohler
2022-02-04 20:27 Ben Kohler
2022-02-04 20:27 Ben Kohler
2022-01-30 13:37 Ben Kohler
2022-01-02 13:14 Ben Kohler
2022-01-02 13:14 Ben Kohler
2021-11-26  8:51 Agostino Sarubbo
2021-11-24 16:46 Sam James
2021-10-20 11:44 Ben Kohler
2021-10-02 10:51 Ben Kohler
2021-10-02 10:51 Ben Kohler
2021-09-17  9:20 Agostino Sarubbo
2021-09-17  9:18 Agostino Sarubbo
2021-09-07 18:05 Ben Kohler
2021-07-13 13:44 Ben Kohler
2021-07-13  6:34 Agostino Sarubbo
2021-07-09  6:26 Agostino Sarubbo
2021-07-06 14:37 Ben Kohler
2021-06-16 12:15 Ben Kohler
2021-06-01 14:58 Ben Kohler
2021-05-17 23:28 Sam James
2021-05-17 23:28 Sam James
2021-04-16 14:43 Ben Kohler
2020-12-02 23:21 Sam James
2019-03-20 17:16 Andreas Sturmlechner
2018-09-09  9:48 Mikle Kolyada
2018-09-09  1:12 Thomas Deutschmann
2018-04-04 23:04 Andreas Sturmlechner
2018-04-04 23:04 Andreas Sturmlechner
2017-12-15 10:12 Andrey Grozin
2017-11-26 23:02 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1627911037.fa93021ec2382ee16e5bf77ec6b38554343b68d1.bkohler@gentoo \
    --to=bkohler@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox